Skip to content
Start here

List entries in impersonation registry

GET/accounts/{account_id}/email-security/settings/impersonation_registry

Lists, searches, and sorts entries in the impersonation registry.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: WriteCloud Email Security: Read
Path ParametersExpand Collapse
account_id: string

Account Identifier

maxLength32
minLength32
Query ParametersExpand Collapse
direction: optional "asc" or "desc"

The sorting direction.

One of the following:
"asc"
"desc"
order: optional "name" or "email" or "created_at"

The field to sort by.

One of the following:
"name"
"email"
"created_at"
page: optional number

The page number of paginated results.

formatint32
minimum1
per_page: optional number

The number of results per page.

formatint32
minimum1
provenance: optional "A1S_INTERNAL" or "SNOOPY-CASB_OFFICE_365" or "SNOOPY-OFFICE_365" or "SNOOPY-GOOGLE_DIRECTORY"
One of the following:
"A1S_INTERNAL"
"SNOOPY-CASB_OFFICE_365"
"SNOOPY-OFFICE_365"
"SNOOPY-GOOGLE_DIRECTORY"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: array of { id, created_at, email, 8 more }
id: number
formatint32
created_at: string
formatdate-time
email: string
is_email_regex: boolean
last_modified: string
formatdate-time
name: string
maxLength1024
comments: optional string
directory_id: optional number
formatint64
directory_node_id: optional number
formatint64
Deprecatedexternal_directory_node_id: optional string
provenance: optional string
result_info: { count, page, per_page, total_count }
count: number

Total number of results for the requested service

formatint32
page: number

Current page within paginated list of results

formatint32
per_page: number

Number of results per page of results

formatint32
total_count: number

Total results available without any search parameters

formatint32
success: boolean

List entries in impersonation registry

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/impersonation_registry \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 2403,
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "email",
      "is_email_regex": true,
      "last_modified": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "comments": "comments",
      "directory_id": 0,
      "directory_node_id": 0,
      "external_directory_node_id": "external_directory_node_id",
      "provenance": "provenance"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 2403,
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "email",
      "is_email_regex": true,
      "last_modified": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "comments": "comments",
      "directory_id": 0,
      "directory_node_id": 0,
      "external_directory_node_id": "external_directory_node_id",
      "provenance": "provenance"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}